summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Giancarlo Dessì2023-11-19 12:37:49 +0100
committer Willy Sudiarto Raharjo2023-11-19 13:04:02 +0100
commit842c4075f4d1cc1e9383c9d5281bbf0ae4f6b07b (patch)
tree8d697a9926ef84f6b6ab8685d9ccbfef9b91c743 /graphics
parent7304565e0bf8f85d10eb55917a24f5371449d2bf (diff)
downloadslackbuilds-842c4075f4d1cc1e9383c9d5281bbf0ae4f6b07b.tar.gz
graphics/OpenShadingLanguage: Added (language for shading)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/OpenShadingLanguage/OpenShadingLanguage.SlackBuild107
-rw-r--r--graphics/OpenShadingLanguage/OpenShadingLanguage.info10
-rw-r--r--graphics/OpenShadingLanguage/README19
-rw-r--r--graphics/OpenShadingLanguage/slack-desc19
4 files changed, 155 insertions, 0 deletions
diff --git a/graphics/OpenShadingLanguage/OpenShadingLanguage.SlackBuild b/graphics/OpenShadingLanguage/OpenShadingLanguage.SlackBuild
new file mode 100644
index 0000000000..8e6fda2a5e
--- /dev/null
+++ b/graphics/OpenShadingLanguage/OpenShadingLanguage.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+
+# Slackware build script for OpenShadingLanguage
+
+# Copyright 2023 Giancarlo Dessi, Cagliari, IT
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=OpenShadingLanguage
+VERSION=${VERSION:-1.12.13.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DUSE_partio=OFF \
+ -DUSE_Qt6=OFF \
+ -DUSE_PYTHON=ON \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/OSL/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -r $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/OpenShadingLanguage/OpenShadingLanguage.info b/graphics/OpenShadingLanguage/OpenShadingLanguage.info
new file mode 100644
index 0000000000..98610dd3bc
--- /dev/null
+++ b/graphics/OpenShadingLanguage/OpenShadingLanguage.info
@@ -0,0 +1,10 @@
+PRGNAM="OpenShadingLanguage"
+VERSION="1.12.13.0"
+HOMEPAGE="https://github.com/AcademySoftwareFoundation/OpenShadingLanguage"
+DOWNLOAD="https://github.com/AcademySoftwareFoundation/OpenShadingLanguage/archive/v1.12.13.0/OpenShadingLanguage-1.12.13.0.tar.gz"
+MD5SUM="81a3ae07593fb6a5e262f4d420628d95"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="openimageio pugixml pybind11"
+MAINTAINER="Giancarlo Dessì"
+EMAIL="slack@giand.it"
diff --git a/graphics/OpenShadingLanguage/README b/graphics/OpenShadingLanguage/README
new file mode 100644
index 0000000000..a1d99c32fe
--- /dev/null
+++ b/graphics/OpenShadingLanguage/README
@@ -0,0 +1,19 @@
+Open Shading Language (OSL) is a small but rich language for
+programmable shading in advanced renderers and other applications,
+ideal for describing materials, lights, displacement, and pattern
+generation.
+
+OSL was originally developed by Sony Pictures Imageworks for use in its
+in- house renderer used for feature film animation and visual effects,
+released as open source so it could be used by other visual effects and
+animation studios and rendering software vendors. Now it's the de facto
+standard shading language for VFX and animated features, used across
+the industry in many commercial and studio- proprietary renderers.
+
+Cuda and OptIx are optional dependencies but they are not tested.
+
+OSL is an optional dependency for Blender.
+
+Warning for Slackware current users: since the current's LLVM is
+updated to version 17, this version of OSL cannot be built on Slackware
+current because versions of LLVM greater than 15 are out of range.
diff --git a/graphics/OpenShadingLanguage/slack-desc b/graphics/OpenShadingLanguage/slack-desc
new file mode 100644
index 0000000000..e2e08cea17
--- /dev/null
+++ b/graphics/OpenShadingLanguage/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+OpenShadingLanguage: OpenShadingLanguage (Shading language for production GI renderers)
+OpenShadingLanguage:
+OpenShadingLanguage: Open Shading Language (OSL) is a small but rich language for
+OpenShadingLanguage: programmable shading in advanced renderers and other applications,
+OpenShadingLanguage: ideal for describing materials, lights, displacement, and pattern
+OpenShadingLanguage: generation for feature film animations and visual effects.
+OpenShadingLanguage: Born as platform of Sony Pictures Imageworks, it was released as
+OpenShadingLanguage: open source. OSL is hosted by the Academy Software Foundation.
+OpenShadingLanguage:
+OpenShadingLanguage: Home page: https://www.aswf.io
+OpenShadingLanguage: